
package org.ow2.petals.bc.jms.connection;

import java.util.logging.Logger;

import javax.naming.Context;

import org.ow2.petals.component.framework.exception.TechnicalException;
import org.ow2.petals.component.framework.util.Extensions;

public class JMSConsumerConnectionFactory extends AbstractJMSConnectionFactory {

    public JMSConsumerConnectionFactory(
            Extensions extensions, String suRootPath,
            Logger logger) throws TechnicalException {
        super(extensions, suRootPath, logger);
    }

    public AbstractJMSConnection createJMSConnection(Context context,
            String connName, String destName, String user, String password,
            boolean transacted) {
        return new JMSConsumerConnection(context, connName, destName,
                transacted, user, password);
    }

}
