
package org.ow2.petals.bc.jms.connection;

import java.util.logging.Logger;

import javax.naming.Context;

import org.ow2.petals.component.framework.exception.TechnicalException;
import org.ow2.petals.component.framework.util.Extensions;

public class JMSProviderConnectionFactory extends AbstractJMSConnectionFactory {

    public JMSProviderConnectionFactory(Extensions extensions, String suRootPath, Logger logger)
            throws TechnicalException {
        super(extensions, suRootPath, logger);
    }

    public AbstractJMSConnection createJMSConnection(Context context, String connName,
            String destName, String user, String password, boolean transacted) {
        return new JMSProviderConnection(context, connName, destName, transacted, user, password);
    }

}
